<?php

namespace App\Modules\Hr;

use App\Models\ValidationModel;
use App\Models\User;
use App\Modules\Hr\Timesheet;
use App\Modules\Hr\Holiday;

class Employee
{
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function timesheets()
    {
        return $this->hasMany(Timesheet::class);
    }

    public function holidays()
    {
        return $this->hasMany(Holiday::class);
    }
} 